org.apache.storm.hbase.bolt.mapper

## Class SimpleHBaseMapper

- java.lang.Object
- - org.apache.storm.hbase.bolt.mapper.SimpleHBaseMapper

- All Implemented Interfaces:
    Serializable, HBaseMapper

      public class SimpleHBaseMapper
      extends Object
      implements HBaseMapper

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleHBaseMapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ColumnList` | `columns(Tuple tuple)` Given a tuple, return a list of HBase columns to insert.
    `byte[]` | `rowKey(Tuple tuple)` Given a tuple, return the HBase rowkey.
    `SimpleHBaseMapper` | `withColumnFamily(String columnFamily)`
    `SimpleHBaseMapper` | `withColumnFields(Fields columnFields)`
    `SimpleHBaseMapper` | `withCounterFields(Fields counterFields)`
    `SimpleHBaseMapper` | `withRowKeyField(String rowKeyField)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleHBaseMapper

          public SimpleHBaseMapper()

  - ### Method Detail

    - #### withRowKeyField

          public SimpleHBaseMapper withRowKeyField(String rowKeyField)

    - #### withColumnFields

          public SimpleHBaseMapper withColumnFields(Fields columnFields)

    - #### withCounterFields

          public SimpleHBaseMapper withCounterFields(Fields counterFields)

    - #### withColumnFamily

          public SimpleHBaseMapper withColumnFamily(String columnFamily)

    - #### rowKey

          public byte[] rowKey(Tuple tuple)

      Description copied from interface: `HBaseMapper`

      Given a tuple, return the HBase rowkey.

      Specified by:
        `rowKey` in interface `HBaseMapper`

    - #### columns

          public ColumnList columns(Tuple tuple)

      Description copied from interface: `HBaseMapper`

      Given a tuple, return a list of HBase columns to insert.

      Specified by:
        `columns` in interface `HBaseMapper`

Copyright © 2019 The Apache Software Foundation. All rights reserved.